package v2auth_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type V2AuthSignsilentRecordRequest struct {
	AuthUser *common.UserInfoRequest `json:"authUser"`
	// <ext>core:true</ext> 【授权状态】授权状态 【作用】 查询指定状态的静默签授权记录，不传时查询全部状态的授权记录 【传参】 取值范围：EFFECT（生效中），EXPIRED（已过期），CANCEL（已取消）；不传值默认为：全部。
	Status string `json:"status,omitempty"`
}

func (obj V2AuthSignsilentRecordRequest) GetUrl() string {
	return "/v2/auth/signSilent/record"
}

func (obj V2AuthSignsilentRecordRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
